s9_level_hints.levels["Level 4"] = function()
	return
	{
		miniscenes
		({
			level04_miniscene_secret_book = 
			{
				IF({state("Secret_book", "secret_book01")}, miniscene("Secret_book")),
			},
			level04_miniscene_book = 
			{
				IF({state("Secret_book", "secret_book02")}, miniscene("Secret_book")),
			},
			level04_miniscene_basket = 
			{
				IF({state("Basket", "basket02")}, miniscene("Basket")),
			},
			level04_miniscene_box = 
			{
				IF({state("Box", "box02")}, miniscene("area_box01")),
			},
		}),
		IF(state("Basket", "basket01"), minigame("Basket")),
		on_scene("level04_miniscene_basket",
		{
			take("Key_for_box")
		}),
		click("area_box01", "Key_for_box"),
		on_scene("level04_miniscene_box",
		{
			take("Scotch")
		}),
		click("Flex", "Scotch"),
		IF({state("Lamp", "lamp01", "lamp04"), on_level("Cookie")}, click("area_cord")),
		IF(state("Lamp", "lamp02", "lamp03"), take("Cookie")),
		click("Parrot", "Cookie"),
		take("Knife"),
		click("area_picture", "Knife"),
		take("Key_for_book", "area_key_for_book"),
		on_scene("level04_miniscene_secret_book",
		{
			click("lock", "Key_for_book")
		}),

		on_scene("level04_miniscene_book",
		{
			take("Herb05"),
			take("Herb01"),
			take("Herb02"),
			take("Herb03"),
			take("Herb04"),

			IF(on_level("Herb01"),
			{
				IF(state("Herb01", "herb01_01"), click("area_right")),
				IF(state("Herb01", "herb01_02"), click("area_left"))
			}),
			IF(on_level("Herb02"),
			{
				IF(state("Herb02", "herb02_01"), click("area_right")),
				IF(state("Herb02", "herb02_02"), click("area_left"))
			}),
			IF(on_level("Herb03"),
			{
				IF(state("Herb03", "herb03_01"), click("area_right")),
				IF(state("Herb03", "herb03_02"), click("area_left"))
			}),
			IF(on_level("Herb04"),
			{
				IF(state("Herb04", "herb04_01"), click("area_right")),
				IF(state("Herb04", "herb04_02"), click("area_left"))
			}),
			IF(on_level("Herb05"),
			{
				IF(state("Herb05", "herb05_01"), click("area_right")),
				IF(state("Herb05", "herb05_02"), click("area_left"))
			})
		}),
		
		click("area_retort", "Herb05"),
		click("area_retort", "Herb01"),
		click("area_retort", "Herb04"),
		click("area_retort", "Herb02"),
		click("area_retort", "Herb03"),
		take("Retort"),
		click("Door", "Retort"),
		
		
		
		
		
		
	--[[
		miniscenes
		({
			level03_miniscene_cd_box = 
			{
				IF({state("Door_left", "door_left_01")}, click("Door_left")),
				IF({state("Door_left", "door_left_02")}, miniscene("cd_box"))
			},
			level03_miniscene_nootebook = 
			{
				miniscene("notebook"),
			},
			level03_miniscene_box01 = 
			{
				IF({state("Bookcase", "bookcase01")}, click("area_box", "Key")),
				IF({state("Bookcase", "bookcase02")}, miniscene("area_box")),
			},
			level03_miniscene_safe01 = 
			{
				IF({state("Picture", "picture01")}, click("Picture")),
				IF({state("Picture", "picture02"), state("Safe", "safe01")}, miniscene("Safe")),
			},
			level03_miniscene_safe03 = 
			{
				IF({state("Safe", "safe03")}, miniscene("Safe")),
				IF({state("Safe", "safe04")}, miniscene("Safe")),
			},
			level03_miniscene_documents = 
			{
				IF({state("Documents", "documents02")}, miniscene("Documents")),
				IF({state("Documents", "documents03")}, miniscene("Documents")),
			},
			level03_miniscene_list = 
			{
				miniscene("paper_with_scotch")
			},
			
		}),
		take("Cheese"),
		click("area_cheese", "Cheese"),
		take("Key"),
		on_scene("level03_miniscene_cd_box",
		{
			take("CD")
		}),
		on_scene("level03_miniscene_nootebook",
		{
			IF({state("Power", "power01")}, click("Power")),
			IF({state("CD_rom", "cd_room01")}, click("CD_rom")),
			click("CD_rom", "CD")
		}),
		on_scene("level03_miniscene_box01",
		{
			take("Card"),
		}),
		on_scene("level03_miniscene_safe01",
		{
			click("opening", "Card"),
			IF(state("Handle", "handle01"), click("Handle"))
		}),

		IF(state("Safe", "safe02", "safe01"), 
		{
			take("Paper_code01"),
			IF({state("Journal02", "journall02_01"), on_level("Paper_code02")}, click("Journal02")),
			IF(state("Journal02", "journall02_02"), take("Paper_code02")),
			
			IF({state("Door_right", "door_right_01"), on_level("Paper_code03")}, click("Door_right")),
			IF(state("Door_right", "door_right_02"), take("Paper_code03")),
		
			on_scene("level03_miniscene_box01",
			{
				take("Scotch")
			}),
			take("Scissors"),
			click("area_window02", "Paper_with_scotch"),
			minigame("Safe"),
		}),
		take("Golf_inv"),
		on_scene("level03_miniscene_safe03",
		{
			click("Documents", "Golf_inv"),
		}),
		take("Fire_extinguisher"),
		on_scene("level03_miniscene_safe03",
		{
			click("Fire", "Fire_extinguisher"),
			IF(state("Documents", "documents02"), click("Documents")),
		}),
		on_scene("level03_miniscene_nootebook",
		{
			minigame("Telephone")
		}),
		
		IF({state("Display","display02"), state("Power","power02"), state("Documents","documents03" )}, minigame("Telephone")),
		]]
	}	
end
